Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.api.dom
Class BXAttr

    java.lang.Object
      org.basex.api.dom.BXNode
          org.basex.api.dom.BXAttr

All Implemented Interfaces:
  org.w3c.dom.Attr, org.w3c.dom.Node

    public final class BXAttr

extends BXNode
implements org.w3c.dom.Attr

DOM - Attribute implementation.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`BXAttr(Nod n)` Constructor.

Method Summary
`org.w3c.dom.NodeList` | `getChildNodes()`
`org.w3c.dom.Node` | `getFirstChild()`
`java.lang.String` | `getLocalName()`
`java.lang.String` | `getName()`
`org.w3c.dom.Node` | `getNextSibling()`
`java.lang.String` | `getNodeName()`
`java.lang.String` | `getNodeValue()`
`org.w3c.dom.Element` | `getOwnerElement()`
`org.w3c.dom.Node` | `getParentNode()`
`org.w3c.dom.Node` | `getPreviousSibling()`
`org.w3c.dom.TypeInfo` | `getSchemaTypeInfo()`
`boolean` | `getSpecified()`
`java.lang.String` | `getValue()`
`boolean` | `isId()`
`void` | `setValue(java.lang.String value)`

Methods inherited from class org.basex.api.dom.BXNode
`appendChild, cloneNode, compareDocumentPosition, error, getAttributes, getBaseURI, getFeature, getLastChild, getNamespaceURI, getNod, getNodeType, getOwnerDocument, getPrefix, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getFeature, getLastChild, getNamespaceURI, getNodeType, getOwnerDocument, getPrefix, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### BXAttr

    public BXAttr(Nod n)

  Constructor.

  Parameters:
    `n` - node reference

Method Detail

### getNodeName

    public java.lang.String getNodeName()

  Specified by:
    `getNodeName` in interface `org.w3c.dom.Node`
  Overrides:
    `getNodeName` in class `BXNode`

### getLocalName

    public java.lang.String getLocalName()

  Specified by:
    `getLocalName` in interface `org.w3c.dom.Node`
  Overrides:
    `getLocalName` in class `BXNode`

### getNodeValue

    public java.lang.String getNodeValue()

  Specified by:
    `getNodeValue` in interface `org.w3c.dom.Node`
  Overrides:
    `getNodeValue` in class `BXNode`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.w3c.dom.Attr`

### getNextSibling

    public org.w3c.dom.Node getNextSibling()

  Specified by:
    `getNextSibling` in interface `org.w3c.dom.Node`
  Overrides:
    `getNextSibling` in class `BXNode`

### getPreviousSibling

    public org.w3c.dom.Node getPreviousSibling()

  Specified by:
    `getPreviousSibling` in interface `org.w3c.dom.Node`
  Overrides:
    `getPreviousSibling` in class `BXNode`

### getParentNode

    public org.w3c.dom.Node getParentNode()

  Specified by:
    `getParentNode` in interface `org.w3c.dom.Node`
  Overrides:
    `getParentNode` in class `BXNode`

### getOwnerElement

    public org.w3c.dom.Element getOwnerElement()

  Specified by:
    `getOwnerElement` in interface `org.w3c.dom.Attr`

### getValue

    public java.lang.String getValue()

  Specified by:
    `getValue` in interface `org.w3c.dom.Attr`

### isId

    public boolean isId()

  Specified by:
    `isId` in interface `org.w3c.dom.Attr`

### getSpecified

    public boolean getSpecified()

  Specified by:
    `getSpecified` in interface `org.w3c.dom.Attr`

### getSchemaTypeInfo

    public org.w3c.dom.TypeInfo getSchemaTypeInfo()

  Specified by:
    `getSchemaTypeInfo` in interface `org.w3c.dom.Attr`

### setValue

    public void setValue(java.lang.String value)

  Specified by:
    `setValue` in interface `org.w3c.dom.Attr`

### getFirstChild

    public org.w3c.dom.Node getFirstChild()

  Specified by:
    `getFirstChild` in interface `org.w3c.dom.Node`
  Overrides:
    `getFirstChild` in class `BXNode`

### getChildNodes

    public org.w3c.dom.NodeList getChildNodes()

  Specified by:
    `getChildNodes` in interface `org.w3c.dom.Node`
  Overrides:
    `getChildNodes` in class `BXNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD